compact3
com.sun.management

## Class MissionControl

- java.lang.Object
- - javax.management.StandardMBean
  - - com.sun.management.MissionControl

- All Implemented Interfaces:
    MissionControlMXBean, DynamicMBean, MBeanRegistration

      public final class MissionControl
      extends StandardMBean
      implements MissionControlMXBean

  Implementation class for the `MissionControlMXBean`. This class is internal and uncommitted and subject to change without notice.
  Since:
    7u4

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MissionControl()` | Default constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ObjectName` | `preRegister(MBeanServer server, ObjectName name)` | Allows the MBean to perform any operations it needs before being registered in the MBean server.
    `void` | `registerMBeans()` | Register all Mission Control related MBeans/MXBeans with the MBean server.
    `void` | `unregisterMBeans()` | Unregister all Mission Control related MBeans/MXBeans from the MBean server.

    - ### Methods inherited from class javax.management.StandardMBean

      `cacheMBeanInfo, getAttribute, getAttributes, getCachedMBeanInfo, getClassName, getConstructors, getDescription, getDescription, getDescription, getDescription, getDescription, getDescription, getDescription, getImpact, getImplementation, getImplementationClass, getMBeanInfo, getMBeanInterface, getParameterName, getParameterName, invoke, postDeregister, postRegister, preDeregister, setAttribute, setAttributes, setImplementation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MissionControl

          public MissionControl()

      Default constructor.

  - ### Method Detail

    - #### preRegister

          public ObjectName preRegister(MBeanServer server,
                                        ObjectName name)
                                 throws Exception

      Description copied from class: `javax.management.StandardMBean`

      Allows the MBean to perform any operations it needs before being registered in the MBean server. If the name of the MBean is not specified, the MBean can provide a name for its registration. If any exception is raised, the MBean will not be registered in the MBean server.

      The default implementation of this method returns the `name` parameter. It does nothing else for Standard MBeans. For MXBeans, it records the `MBeanServer` and `ObjectName` parameters so they can be used to translate inter-MXBean references.

      It is good practice for a subclass that overrides this method to call the overridden method via `super.preRegister(...)`. This is necessary if this object is an MXBean that is referenced by attributes or operations in other MXBeans.

      Specified by:
        `preRegister` in interface `MBeanRegistration`
      Overrides:
        `preRegister` in class `StandardMBean`
      Parameters:
        `server` - The MBean server in which the MBean will be registered.
        `name` - The object name of the MBean. This name is null if the name parameter to one of the `createMBean` or `registerMBean` methods in the `MBeanServer` interface is null. In that case, this method must return a non-null ObjectName for the new MBean.
      Returns:
        The name under which the MBean is to be registered. This value must not be null. If the `name` parameter is not null, it will usually but not necessarily be the returned value.
      Throws:
        `IllegalArgumentException` - if this is an MXBean and `name` is null.
        `InstanceAlreadyExistsException` - if this is an MXBean and it has already been registered under another name (in this MBean Server or another).
        `Exception` - no other checked exceptions are thrown by this method but `Exception` is declared so that subclasses can override the method and throw their own exceptions.

    - #### unregisterMBeans

          public void unregisterMBeans()

      Description copied from interface: `MissionControlMXBean`
      Unregister all Mission Control related MBeans/MXBeans from the MBean server.
      Specified by:
        `unregisterMBeans` in interface `MissionControlMXBean`

    - #### registerMBeans

          public void registerMBeans()

      Description copied from interface: `MissionControlMXBean`
      Register all Mission Control related MBeans/MXBeans with the MBean server. If one or more MBeans can't be registered, for whatever reason, the method will do a best effort and register as many MBeans as possible.
      Specified by:
        `registerMBeans` in interface `MissionControlMXBean`

Copyright © 2003, 2026, Oracle and/or its affiliates. All rights reserved.